[Pkg-ocaml-maint-commits] r1915 - in trunk/packages/facile/trunk/debian: . patches

Steffen Joeris white-guest at costa.debian.org
Thu Nov 3 18:24:02 UTC 2005


Author: white-guest
Date: 2005-11-03 18:24:00 +0000 (Thu, 03 Nov 2005)
New Revision: 1915

Added:
   trunk/packages/facile/trunk/debian/patches/
   trunk/packages/facile/trunk/debian/patches/00list
   trunk/packages/facile/trunk/debian/patches/10-srcMakefile.dpatch
Modified:
   trunk/packages/facile/trunk/debian/control
Log:
* new build-depends against dpatch
* patches for Makefile


Modified: trunk/packages/facile/trunk/debian/control
===================================================================
--- trunk/packages/facile/trunk/debian/control	2005-11-03 16:47:44 UTC (rev 1914)
+++ trunk/packages/facile/trunk/debian/control	2005-11-03 18:24:00 UTC (rev 1915)
@@ -1,7 +1,7 @@
 Source: facile
 Priority: optional
 Maintainer: Steffen Joeris <steffen.joeris at skolelinux.de>
-Build-Depends: debhelper (>= 4.1.0), cdbs (>= 0.4.0), ocaml-nox 
+Build-Depends: debhelper (>= 4.1.0), cdbs (>= 0.4.0), ocaml-nox, dpatch
 Standards-Version: 3.6.2
 Section: libdevel
 

Added: trunk/packages/facile/trunk/debian/patches/00list
===================================================================
--- trunk/packages/facile/trunk/debian/patches/00list	2005-11-03 16:47:44 UTC (rev 1914)
+++ trunk/packages/facile/trunk/debian/patches/00list	2005-11-03 18:24:00 UTC (rev 1915)
@@ -0,0 +1 @@
+10-srcMakefile

Added: trunk/packages/facile/trunk/debian/patches/10-srcMakefile.dpatch
===================================================================
--- trunk/packages/facile/trunk/debian/patches/10-srcMakefile.dpatch	2005-11-03 16:47:44 UTC (rev 1914)
+++ trunk/packages/facile/trunk/debian/patches/10-srcMakefile.dpatch	2005-11-03 18:24:00 UTC (rev 1915)
@@ -0,0 +1,36 @@
+#!/bin/sh -e
+## 10-srcMakefile.dpatch by Steffen Joeris <steffen.joeris at skolelinux.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Here we make facile available for more architectures :=)
+
+if [ $# -lt 1 ]; then
+echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+      -patch) patch $patch_opts -p1 < $0;;
+      -unpatch) patch $patch_opts -p1 -R < $0;;
+      *)
+      echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+      exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- Makefile.orig	2005-11-03 18:08:27.000000000 +0100
++++ facile-1.1/src/Makefile	2005-11-03 18:21:08.000000000 +0100
+@@ -23,7 +23,7 @@
+ 	$(OCAMLC) -o $@ -a $(CSTRCMO)
+ 
+ facile.cmxa : $(CSTRCMX)
+-	$(OCAMLOPT) -o $@ -a $(CSTRCMX)
++	if [ -x /usr/bin/ocamlopt ] ; then $(OCAMLOPT) -o $@ -a $(CSTRCMX) ; fi
+ 
+ # Version of the library to be linked with the -p (profiler) option
+ facile.p.cmxa : $(CSTR)


Property changes on: trunk/packages/facile/trunk/debian/patches/10-srcMakefile.dpatch
___________________________________________________________________
Name: svn:executable
   + *




More information about the Pkg-ocaml-maint-commits mailing list